jQuery(document).ready(function($){
    $('.wikiex_secion,.wikiexlite_secion').live('click',function(){
        var wiki_url=$(this).parent().find('.url').val();
        var container=$(this).parent().find('.wikiex-lib-row');
        var wikiex_shortcode_order=$(this).parent().find('.wikiex_shortcode_order').val();
        $.ajax({
            type: "GET",
            url: ajaxurl,
            dataType: "json",
            data: { url:wiki_url,action:'wikiex_get_sections'}
        }).done(function( msg ) {
            container.html(' ');
            //container=$(this).parent().find('.wikiex-lib-row');
            for(i=0;i<msg.length;i++){
               
               if(!(i%3)){
                    var newspan = $('<div />', {class:'chk-wiki clear'}).appendTo(container);
               }else{
                    var newspan = $('<div />', {class:'chk-wiki'}).appendTo(container); 
               } 
               $('<input />', { type: 'radio',name:'wikiex[wikiexcb]', id: 'cb'+i, value: msg[i] }).appendTo(newspan);
               $('<label />', { 'for': 'cb'+i, text: msg[i] }).appendTo(newspan);   
               $(newspan).appendTo(container);         
            }
            $('<input />', { type: 'hidden',name:'wikiex_shortcode_order', class: 'wikiex_shortcode_order', value: wikiex_shortcode_order }).appendTo(container);
        });
        return true;
    })
    $('.add-new-wiki-section').click(function(){
        var wikiex_section_amount=parseInt($('.wikiex_section_amount').val())+1;
        var container=$('.wiki_content');
        var html='<table class="widefat sortable"><thead><tr><th style="width: 100px;">Wiki</th><th></th></tr></thead>';
        html +='<tbody class="ui-sortable"><tr class="slide flex responsive nivo coin"><td class="col-2" colspan="2"><div class="wikiex-1" style="padding-left: 15px;">';
        html +='<input style="width:100%" class="wikiex_url url" type="url" value="" placeholder="URL" name="wikiex['+wikiex_section_amount+'][url]" />';
        html +='<input id="wikiex_shortcode1" type="hidden" name="wikiex[shortcode]" />';
        html +='<input type="hidden" class="wikiex_shortcode_order" name="wikiex_shortcode_order" value="'+wikiex_section_amount+'" />';
        html +='<input type="radio" value="full" name="wikiex['+wikiex_section_amount+'][chk_type]" class="wikiex_full" />Full page<input type="radio" value="section" name="wikiex['+wikiex_section_amount+'][chk_type]" class="wikiex_secion" />Choose sections';
        html +='<div class="wikiex-lib-row"></div><br /><br /><div class="wikiex_shortcode1"></div></div></td></tr></tbody></table>';
        $('.wiki_content').append(html);
        $('#wikiex_section_amount').val(wikiex_section_amount);
        return false;
    })
    $('.wikiex_full').live('click',function(){
        $(this).parent().find('.wikiex-lib-row').html(' ');
    })
    $('.wikiex_choose_section').click(function(){
        var allVals = [];
         $('[name=wikiexcb]:checked').each(function() {
           allVals.push($(this).val());
         });
         
         var section='';
         if(allVals.length){
            section=allVals.join('|');
         }
         var wikiex_shortcode_order= $('.wikiex_shortcode_order').val();
         
         var wiki_url=$('.wikiex-'+wikiex_shortcode_order+' .wikiex_url').val();
         
         var shortcode='[wiki_ex wiki_url="'+wiki_url+'" section="'+section+'"]';
         $('#wikiex_shortcode'+wikiex_shortcode_order).val(shortcode);
         $('.wikiex_shortcode'+wikiex_shortcode_order).html('<b>Shortcode: </b> '+shortcode+'<br>'+'<b>Template Include:</b> &lt;?php echo do_shortcode(\''+shortcode+'\'");?&gt;');
        return false;
    })
    $('.wikilite_frontend_sets').click(function(){
        $('.wiki_frontend_sections').toggle();
        return false;
    })      
    //$('.wiki-item').accordion();
});